using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace PSTW_CentralSystem.Areas.IT.Models
{
    [Table("it_request_software")]
    public class ItRequestSoftware
    {
        [Key]
        public int Id { get; set; }

        public int ItRequestId { get; set; }
        [ForeignKey("ItRequestId")]
        public ItRequest? Request { get; set; }

        [MaxLength(50)]
        public string Bucket { get; set; } = "";   // General, Utility, Custom

        [MaxLength(200)]
        public string Name { get; set; } = "";

        public string? OtherName { get; set; }

        public string? Notes { get; set; }
    }
}
